Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 2 of 3
1.1.6 to 1.1.7 upgrade issue
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

hi…
After Update from 1.1.6 to 1.1.7 with connect-mannager:

the first error if i tried to open categories:
/app/design/adminhtml/default/default/template/catalog/form/renderer/googleoptimizer/import.phtml): failed to open stream: No such file or directory

in connect-manager.... i tried:magento-core/Mage_All_Latest get this:
parsePackageName(): invalid package name “Mage_All_Latest “ in “connect.magentocommerce.com/core/Mage_All_Latest “
invalid package name/package file “connect.magentocommerce.com/core/Mage_All_Latest “
Cannot initialize ‘connect.magentocommerce.com/core/Mage_All_Latest ‘, invalid or missing package file
Install Errors
Package “connect.magentocommerce.com/core/Mage_All_Latest “ is not valid
PEAR ERROR: install failed

 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

i look at this failure....
i´ve downloaded the full version 1.1.7 and searched for this topic.....
then i copy the topic googleoptimizer/ manually in my shop......
well i can open the catalog categories now......
there i can see the new field category view optimization but in the products there isnt it…

 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

next failure....i tried out the google base button:
app/design/adminhtml/default/default/template/googlebase/items.phtml): failed to open stream: No such file or directory

 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

hmmmm..

ok i found out the only way is to update the Shop from 1.1.6 to 1.1.7 with the connect-manager (mysql update). And then i copy all the files from the full version 1.1.7 over my existing 1.1.6....
but i found this bugs:
1. Available Products -> add to google base->button send wont work
2. Customers online -> show 200 per page -> blank site
3. delete the mail from varien about the new version 1.1.7 -> the site is switched to the default homepage site
4. manage cms sites: if u click Page View Optimization ->the Conversion Page URL is shown for all stores......if u ve more multiple stores with different languages then u see here the Conversion Page URL for all multiple stores and all languages.....Why?
5. Backup database ->get http 500 Error ->but it works

 
Magento Community Magento Community
Magento Community
Magento Community
 
radge
Member
 
Total Posts:  40
Joined:  2008-10-04
 

I’m trying to upgrade with connect manager from 1.1.6 to 1.1.7 and i don’t see how to do it.

I’m into Panel ==> System ==> Connect Manager and into I only have 2 options

1) Install New Extensions
2) Manage Existing Extensions Check for Upgrades

How to i can upgrade version from here ?

thxs a lot , radge

 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

@radge:
2.) this is the right way!
Check for Upgrades and then u see the points magento cores existing version 1.1.6 and new version 1.1.7 ->choose upgrade
dont forget to overwrite all files with the new version 1.1.7…

 
Magento Community Magento Community
Magento Community
Magento Community
 
Business Feet
Sr. Member
 
Total Posts:  82
Joined:  2008-05-24
 

@radge

paste the extension key below and click on Install as Michael said in earlier thread:

magento-core/Mage_All_Latest
 
Magento Community Magento Community
Magento Community
Magento Community
 
KeyboardCowboy
Member
 
Total Posts:  65
Joined:  2008-07-01
Berlin, Germany
 
Business Feet - 19 November 2008 03:03 PM

Error message below

a:2:{i:0;s:259:"Warning: include(Mage/Adminhtml/Model/System/Config/Source/Locale/Weekdays.php) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory  in /public_html/app/code/core/Mage/Core/functions.php on line 73";i:1;s:1920:"#0 /public_html/app/code/core/Mage/Core/functions.php(73): mageCoreErrorHandler(2, 'include(Mage/Ad...', '/...', 73, Array)
#1 /public_html/app/code/core/Mage/Core/functions.php(73): __autoload()
#2 /public_html/app/code/core/Mage/Core/Model/Config.php(720): __autoload('Mage_Adminhtml_...')
#3 /public_html/app/Mage.php(314): Mage_Core_Model_Config->getModelInstance('Mage_Adminhtml_...')
#4 /public_html/app/Mage.php(328): Mage::getModel('adminhtml/syste...', Array)
#5 /public_html/app/code/core/Mage/Adminhtml/Block/System/Config/Form.php(267): Mage::getSingleton('adminhtml/syste...', Array)
#6 /public_html/app/code/core/Mage/Adminhtml/Block/System/Config/Form.php(180): Mage_Adminhtml_Block_System_Config_Form->initFields('adminhtml/syste...')
#7 /public_html/app/code/core/Mage/Adminhtml/Block/System/Config/Edit.php(91): Mage_Adminhtml_Block_System_Config_Form->initForm(Object(Varien_Data_Form_Element_Fieldset), Object(Mage_Core_Model_Config_Element), Object(Mage_Core_Model_Config_Element))
#8 /public_html/app/code/core/Mage/Adminhtml/controllers/System/ConfigController.php(88): Mage_Adminhtml_Block_System_Config_Edit->initForm()
#9 /public_html/app/code/core/Mage/Core/Controller/Varien/Action.php(349): Mage_Adminhtml_System_ConfigController->editAction()
#10 /public_html/app/code/core/Mage/Core/Controller/Varien/Router/Admin.php(143): Mage_Core_Controller_Varien_Action->dispatch()
#11 /public_html/app/code/core/Mage/Core/Controller/Varien/Front.php(174): Mage_Core_Controller_Varien_Router_Admin->match('edit')
#12 /public_html/app/Mage.php(447): Mage_Core_Controller_Varien_Front->dispatch(Object(Mage_Core_Controller_Request_Http))
#13 /public_html/index.php(52): Mage::run()
#14 {main}"
;}

I installed with 1.1.6 the Payone-Extension. Now i can see some core-packages in magento-connect with new version 1.1.7.

Why is there no version-check??? Now i have to upgrade to 1.1.7, cause nothing works! :-(

 
Magento Community Magento Community
Magento Community
Magento Community
 
pldtm
Sr. Member
 
Avatar
Total Posts:  82
Joined:  2007-09-04
Bordeaux, France
 

hi,

after upgrade to 1.1.7 two errors:

backend: Fatal error: Call to undefined method Mage_Core_Model_App::getUseSessionVar() in /var/www/html/lemag/app/code/core/Mage/Core/Model/Url.php on line 776

and frontend:

Fatal error: Call to undefined method Mage_Core_Model_App::setUseSessionVar() in /var/www/html/lemag/app/code/core/Mage/Core/Block/Abstract.php on line 963

don’t know why

here is a screen of my downloader

thanks for help

Image Attachments
Capturer102.JPG
 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

hi @pldtm
do u ve manually overwrite all files with the new 1.1.7 version (download the full new version 1.1.7) after u upgrade the shop with the magento download manager?

 
Magento Community Magento Community
Magento Community
Magento Community
 
pldtm
Sr. Member
 
Avatar
Total Posts:  82
Joined:  2007-09-04
Bordeaux, France
 

no i used the downloader

it worked for my dev server but not the site server

 
Magento Community Magento Community
Magento Community
Magento Community
 
hitk
Jr. Member
 
Total Posts:  24
Joined:  2008-09-19
 

hi @pldtm

then download the full 1.1.7 version and overwrite it over ure exisiting 1.1.6 version......thats solved the problem!
The magento download manager didnt update all files..... :-(

 
Magento Community Magento Community
Magento Community
Magento Community
 
pldtm
Sr. Member
 
Avatar
Total Posts:  82
Joined:  2007-09-04
Bordeaux, France
 

didn’t change anything, still the same errors

:-(

confused

 
Magento Community Magento Community
Magento Community
Magento Community
 
radge
Member
 
Total Posts:  40
Joined:  2008-10-04
 

parsePackageName(): invalid package name “Mage_All_Latest “ in “connect.magentocommerce.com/core/Mage_All_Latest “
invalid package name/package file “connect.magentocommerce.com/core/Mage_All_Latest “
Cannot initialize ‘connect.magentocommerce.com/core/Mage_All_Latest ‘, invalid or missing package file
Install Errors
Package “connect.magentocommerce.com/core/Mage_All_Latest “ is not valid
PEAR ERROR: install failed

Can repeat the correct extension?

thxs a lot , radge

 
Magento Community Magento Community
Magento Community
Magento Community
 
adonkey
Member
 
Total Posts:  67
Joined:  2008-10-28
 

I kept trying and eventually the downlaod started,

Afterwards I had the usual 500 error, once I changed all the permissions for the 100’th time it worked again.

Why can’t something be built into the upgrade to keep permissions 755 and 644, having to rename them all is a nightmare unless you have SSH which I dont

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 2 of 3